@extends('template.'.\Setting::get('template', 'default').'.content.master')

@section('content')

    <div class="section-sm bg-grey-lighter">
        <div class="container text-center">
            <h3 class="font-family-secondary">mono blog.</h3>
        </div><!-- end container -->
    </div>

    <div class="section bg-grey-lighter">
        <div class="container text-center">
            <div class="row">
                <div class="col-12 col-sm-10 offset-sm-1 col-md-8 offset-md-2 col-lg-6 offset-lg-3">
                    <img class="img-circle-lg margin-bottom-20" src="{{ $author->gravatar() }}?s=120&d=identicon&r=PG">
                    <h5 class="font-weight-normal">{{ $author->name }}</h5>
                    <p>{{ $author->description }}</p>
                    <!-- Social links -->
                    <?php
                    $social = [
                        'telegram',
                        'behance',
                        'snapchat',
                        'stack-overflow',
                        'vimeo',
                        'github',
                        'reddit',
                        'instagram',
                        'linkedin',
                        'pinterest',
                        'twitter',
                        'facebook',
                        'youtube'
                    ];
                    ?>

                    <ul class="list-inline margin-top-20">
                        @foreach ($social as $value)
                            @if (isset($author->social_networks[$value]))
                                <li><a href="{{ $author->social_networks[$value] }}"><i class="fab fa-{{ $value }}"></i></a></li>

                            @endif

                        @endforeach
                    </ul>


                </div>
            </div><!-- end row -->
        </div><!-- end container -->
    </div>

    <!-- Blog section  -->
    <div class="section">
        <div class="container">
            <div class="row">
                <div class="col-12 col-sm-10 offset-sm-1 col-md-8 offset-md-2">

                    @foreach($nachrichten as $nach)

                        <div class="margin-bottom-50">



                            <div class="margin-top-30">
                                <h5><a href="{{ route('nachrichten.get', [$nach->category->slug, $nach->slug]) }}">{{$nach->title}}</a></h5>

                                <div class="d-flex justify-content-between margin-bottom-10">
                                    <div class="d-inline-flex">
                                        <a class="font-family-tertiary font-small font-weight-normal uppercase" href="{{ route('category.get', [$nach->category->slug]) }}">{{ $nach->category->name}}</a>
                                    </div>
                                    <div class="d-inline-flex">
                                        <span class="font-small">{{ $nach->created_at->diffForHumans() }}</span>
                                    </div>
                                </div>

                                @if ($nach->image)
                                    <div class="hoverbox-8 margin-bottom-40">
                                        <a href="#">
                                            <img src="{{ asset('uploads/' . $nach->image) }}" alt="">
                                        </a>
                                    </div>
                                @endif

                                <p>{!! $nach->nachrichten !!}</p>
                                <div class="margin-top-20">
                                    <a class="button-text-1 float-right" href="{{ route('nachrichten.get', [$nach->category->slug, $nach->slug]) }}">Mehr lesen</a>
                                </div>
                            </div>
                        </div>



                @endforeach

                <!-- Pagination -->
                    <nav>
                        <ul class="pagination justify-content-center margin-top-70">
                            <li class="page-item"><a class="page-link" href="#">&laquo;</a></li>
                            <li class="page-item active"><a class="page-link" href="#">1</a></li>
                            <li class="page-item"><a class="page-link" href="#">2</a></li>
                            <li class="page-item"><a class="page-link" href="#">3</a></li>
                            <li class="page-item"><a class="page-link" href="#">&raquo;</a></li>
                        </ul>
                    </nav>
                </div>
            </div><!-- end row -->
        </div><!-- end container -->
    </div>
    <!-- end Blog section -->



@stop
