<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <meta name="description" content="">
        <meta name="keywords" content="">
        @if(isset($title))
        <title>{{$title}}</title>
    @else
        <title>{{ config('app.name') }}</title>
    @endif

    @if(isset($description))
        <meta name="description" content="{{$description}}">
    @else
        <meta name="description" content="">
    @endif

        <!-- Favicon -->
        <link href="../assets/images/favicon.png" rel="shortcut icon">
        <!-- CSS -->
        <link href="{{asset('template/css/bootstrap.min.css')}}" rel="stylesheet">
        <link href="{{asset('template/css/owl.carousel.min.css')}}" rel="stylesheet">
        <link href="{{asset('template/css/owl.theme.default.min.css')}}" rel="stylesheet">
        <link href="{{asset('template/css/magnific-popup.min.css')}}" rel="stylesheet">
        <link href="{{asset('template/css/sal.min.css')}}" rel="stylesheet">
        <link href="{{asset('template/css/theme.css')}}" rel="stylesheet">
       
    </head>
    <body>
        
        <!-- Header -->
        <div class="header right dark">
            <div class="container">
                <!-- Logo -->
                <div class="header-logo">

                    <h3><a href="{{url('/')}}"><img src="https://www.areya.de/images/areya-logo.png"></a></h3>
                </div>
                <!-- Menu -->
                <div class="header-menu">
                    <ul class="nav">


                        <li class="nav-item">
                            <a class="nav-link" href="#">Software</a>
                            <ul class="nav-dropdown">
                                <li class="nav-dropdown-item"><a class="nav-dropdown-link" href="{{url('/cms')}}">Areya CMS</a></li>
                                <li class="nav-dropdown-item"><a class="nav-dropdown-link" href="#">Areya Intern</a></li>
                            </ul>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="#">Themen</a>
                            <ul class="nav-dropdown">
                                <li class="nav-dropdown-item">
                                    <a class="nav-dropdown-link" href="#">Webentwicklung</a>
                                    <ul class="nav-subdropdown">
                                        <li class="nav-subdropdown-item"><a class="nav-subdropdown-link" href="#">Laravel</a></li>
                                        <li class="nav-subdropdown-item"><a class="nav-subdropdown-link" href="#">Progressive Web Apps</a></li>

                                    </ul>

                                </li>
                                <li class="nav-dropdown-item">
                                    <a class="nav-dropdown-link" href="#">E-Commerce</a>
                                    <ul class="nav-subdropdown">
                                        <li class="nav-subdropdown-item"><a class="nav-subdropdown-link" href="#">Checkout Experience</a></li>
                                        <li class="nav-subdropdown-item"><a class="nav-subdropdown-link" href="#">SEO / SEA</a></li>
                                        <li class="nav-subdropdown-item"><a class="nav-subdropdown-link" href="#">Tracking & Retargeting</a></li>
                                        <li class="nav-subdropdown-item"><a class="nav-subdropdown-link" href="#">Payments</a></li>

                                    </ul>

                                </li>
                                <li class="nav-dropdown-item">
                                    <a class="nav-dropdown-link" href="#">Data & Analytics</a>
                                    <ul class="nav-subdropdown">
                                        <li class="nav-subdropdown-item"><a class="nav-subdropdown-link" href="#">Grafana Dashboards</a></li>
                                        <li class="nav-subdropdown-item"><a class="nav-subdropdown-link" href="#">Google Analytics</a></li>
                                        <li class="nav-subdropdown-item"><a class="nav-subdropdown-link" href="#">Facebook Analytics</a></li>
                                        <li class="nav-subdropdown-item"><a class="nav-subdropdown-link" href="#">Hotjar Analytics</a></li>
                                        <li class="nav-subdropdown-item"><a class="nav-subdropdown-link" href="#">Weather Data</a></li>
                                    </ul>

                                </li>

                                <li class="nav-dropdown-item">
                                    <a class="nav-dropdown-link" href="#">Automation</a>
                                    <ul class="nav-subdropdown">
                                        <li class="nav-subdropdown-item"><a class="nav-subdropdown-link" href="#">RPA</a></li>
                                        <li class="nav-subdropdown-item"><a class="nav-subdropdown-link" href="#">Schnittstellen und APIs</a></li>
                                    </ul>

                                </li>
                                <li class="nav-dropdown-item">
                                    <a class="nav-dropdown-link" href="#">Bitcoin</a>
                                    <ul class="nav-subdropdown">
                                        <li class="nav-subdropdown-item"><a class="nav-subdropdown-link" href="#">Lightning Network</a></li>
                                        <li class="nav-subdropdown-item"><a class="nav-subdropdown-link" href="#">BTCPayServer</a></li>
                                        <li class="nav-subdropdown-item"><a class="nav-subdropdown-link" href="#">Cold Storage</a></li>
                                    </ul>

                                </li>

                                <li class="nav-dropdown-item">
                                    <a class="nav-dropdown-link" href="#">IT-Sicherheit</a>
                                    <ul class="nav-subdropdown">
                                        <li class="nav-subdropdown-item"><a class="nav-subdropdown-link" href="#">U2F Keys</a></li>
                                        <li class="nav-subdropdown-item"><a class="nav-subdropdown-link" href="#">Backups & Recovery</a></li>
                                        <li class="nav-subdropdown-item"><a class="nav-subdropdown-link" href="#">Secure Communication</a></li>

                                    </ul>
                                </li>
                                <li class="nav-dropdown-item">
                                    <a class="nav-dropdown-link" href="#">Datenschutz</a>

                                </li>
                            </ul>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="{{url('unternehmen')}}">Unternehmen</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="{{url('kontakt')}}">Kontakt</a>
                        </li>

                    </ul>
                </div>

                <!-- Menu Toggle -->
                <button class="header-toggle">
                    <span></span>
                </button>
            </div><!-- end container -->
        </div>
        <!-- end Header -->

@yield('content')


        <footer>
            <div class="section-sm bg-dark">
                <div class="container">
                    <div class="row col-spacing-20">
                        <div class="col-6 col-sm-6 col-lg-3">
                            <h3>{{ config('app.name') }}</h3>
                        </div>
                        <div class="col-6 col-sm-6 col-lg-3">
                            <h6 class="font-small font-weight-normal uppercase">Useful Links</h6>
                            <ul class="list-dash">
                                <li><a href="#">About us</a></li>

                            </ul>
                        </div>
                        <div class="col-6 col-sm-6 col-lg-3">
                            <h6 class="font-small font-weight-normal uppercase">Additional Links</h6>
                            <ul class="list-dash">
                                <li><a href="#">Services</a></li>

                            </ul>
                        </div>
                        <div class="col-6 col-sm-6 col-lg-3">
                            <h6 class="font-small font-weight-normal uppercase">Kontakt</h6>
                            <ul class="list-unstyled">
                                <li>Areya Webservices GmbH</li>
                                <li>Neuenhammerstr. 44</li>
                                <li>support@areya.de</li>
                                <li><a href="tel:+4996545529550">+49 9654 5529550</a></li>
                            </ul>
                        </div>
                    </div><!-- end row(1) -->

                    <hr class="margin-top-30 margin-bottom-30">

                    <div class="row col-spacing-10">
                        <div class="col-12 col-md-6 text-center text-md-left">
                            <p>&copy; 2020 Areya Webservices GmbH</p>
                        </div>
                        <div class="col-12 col-md-6 text-center text-md-right">
                            <ul class="list-inline">
                                <li><a href="{{url('agb')}}">AGB</a></li>
                                <li><a href="{{url('datenschutz')}}">Datenschutz</i></a></li>
                                <li><a href="{{url('impressum')}}">Impressum</i></a></li>

                            </ul>
                        </div>
                    </div><!-- end row(2) -->
                </div><!-- end container -->
            </div>
        </footer>

        <!-- Scroll to top button -->
        <div class="scrolltotop">
            <a class="button-circle button-circle-sm button-circle-dark" href="#"><i class="ti-arrow-up"></i></a>
        </div>
        <!-- end Scroll to top button -->

        <!-- ***** JAVASCRIPTS ***** -->
        <script src="{{asset('template/js/jquery.min.js')}}"></script>
        <script src="https://maps.googleapis.com/maps/api/js?key=YOUR_API_KEY"></script>
        <script src="{{asset('template/js/plugins.js')}}"></script>
        <script src="{{asset('template/js/functions.js')}}"></script>
        <script src="https://kit.fontawesome.com/03beff3a28.js" crossorigin="anonymous"></script>
    </body>
</html>







    
