@extends('template.'.\Setting::get('template', 'default').'.content.master')

@section('content')

    <!-- Blog Post section -->
    <div class="section">
        <div class="container">
            <div class="row">


                <div class="col-12 col-sm-10 offset-sm-1 col-md-8 offset-md-2">

                    <div class="margin-bottom-50">



                        <div class="margin-top-30">
                            <h1 class="h2 margin-bottom-30">{{$nach->title}}</h1>

                            <div class="d-flex justify-content-between margin-bottom-10">
                                <div class="d-inline-flex">
                                    <a class="font-family-tertiary font-small font-weight-normal uppercase" href="{{ route('category.get', [$nach->category->slug]) }}">{{ $nach->category->name}}</a>
                                </div>
                                <div class="d-inline-flex">
                                    <span class="font-small">{{ $nach->created_at->diffForHumans() }}</span>
                                </div>
                            </div>

                            @if ($nach->image)
                                <div class="hoverbox-8 margin-bottom-40">

                                        <img src="{{ asset('uploads/' . $nach->image) }}" alt="">
                                </div>
                            @endif

                            <p>{!! $nach->nachrichten !!}</p>

                        </div>
                    </div>


                    <!-- Post Tags / Share -->
                    <div class="row margin-top-50">
                        <div class="col-6">
                            <h6 class="font-family-tertiary font-small font-weight-normal uppercase">Tags</h6>
                            <ul class="list-inline-sm">
                                <li><a class="text-link-1" href="#">Clothing</a></li>
                                <li><a class="text-link-1" href="#">Lifestyle</a></li>
                                <li><a class="text-link-1" href="#">Travel</a></li>
                            </ul>
                        </div>
                        <div class="col-6 text-right">
                            <h6 class="font-family-tertiary font-small font-weight-normal uppercase">Share On</h6>
                            <ul class="list-inline">
                                <li><a href="#"><i class="fab fa-facebook-f"></i></a></li>
                                <li><a href="#"><i class="fab fa-twitter"></i></a></li>
                                <li><a href="#"><i class="fab fa-google-plus-g"></i></a></li>
                            </ul>
                        </div>
                    </div>
                    <!-- end Post Tags / Share -->
                </div>
            </div><!-- end row -->
        </div><!-- end container -->
    </div>
    <!-- end Blog Post section -->


    <!-- Comments section -->
    <div class="section bg-grey-lighter">
        <div class="container">
            <div class="row">
                <div class="col-12 col-sm-10 offset-sm-1 col-md-8 offset-md-2">
                    <h4 class="margin-bottom-50">Kommentare</h4>
                    <!-- Comment box 1 -->

                    @foreach($nach->comments as $comment)

                        <div class="comment-box">
                            <div class="comment-user-avatar">
                                <i class="fa fa-user"></i>
                            </div>
                            <div class="comment-content">
                                <span class="comment-time">{{$comment->created_at->diffForHumans()}}</span>
                                <h6 class="font-weight-normal">{{$comment->name}}</h6>
                                <p>{{$comment->comment}}</p>
                            </div>
                        </div>
                    @endforeach




                </div>
            </div><!-- end row -->
        </div><!-- end container -->
    </div>
    <!-- end Comments section -->

    <!-- Write Comment section -->
    <div class="section border-top">
        <div class="container">
            <div class="row">
                <div class="col-12 col-sm-10 offset-sm-1 col-md-8 offset-md-2">
                    <h4 class="margin-bottom-50 text-center">Write a Comment</h4>
                    <div class="text-right">
                        <form>
                            <div class="form-row">
                                <div class="col-12 col-sm-6">
                                    <input type="text" name="name" placeholder="Name" required>
                                </div>
                                <div class="col-12 col-sm-6">
                                    <input type="email" name="email" placeholder="E-Mail" required>
                                </div>
                            </div>
                            <textarea name="message" placeholder="Message"></textarea>
                            <button class="button button-lg button-grey" type="submit">Post Comment</button>
                        </form>
                    </div>
                </div>
            </div><!-- end row -->
        </div><!-- end container -->
    </div>
    <!-- end Write Comment section -->
@stop
